### 🔀 [#486](https://github.com/ikawrakow/ik_llama.cpp/pull/486) - Adding the XTC sampler

| **Author** | `ikawrakow` |
| :--- | :--- |
| **State** | ❌ **Closed** |
| **Created** | 2025-06-03 |
| **Updated** | 2025-06-03 |

---

#### Description

Given popular demand, here is the XTC sampler.

Same usage as in mainline:
* `x` to add with `--sampling-seq`
* `xtc` to add with `--samplers`
* `--xtc-probability` to set the probability
* `--xtc-threshold` to set the threshold

---

#### 💬 Conversation

👤 **saood06** submitted a review the **2025-06-03** at **09:34:48**: 💬 `COMMENTED`

---

👤 **saood06** submitted a review the **2025-06-03** at **09:35:50**: 💬 `COMMENTED`

---

👤 **ikawrakow** submitted a review the **2025-06-03** at **09:39:08**: 💬 `COMMENTED`

---

👤 **saood06** submitted a review the **2025-06-03** at **09:44:33**: 💬 `COMMENTED`